=head1 NAME

Gtk2::FontSelection

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gtk2::FontSelection



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Glib::Object::_Unregistered::GtkOrientable



=cut


=head1 METHODS

=head2 widget = Gtk2::FontSelection-E<gt>B<new> 

=head2 fontface = $fontsel-E<gt>B<get_face> 

Since: gtk+ 2.14

=head2 widget = $fontsel-E<gt>B<get_face_list> 

Since: gtk+ 2.14

=head2 fontfamily = $fontsel-E<gt>B<get_family> 

Since: gtk+ 2.14

=head2 widget = $fontsel-E<gt>B<get_family_list> 

Since: gtk+ 2.14

=head2 font = $fontsel-E<gt>B<get_font> 

=head2 string = $fontsel-E<gt>B<get_font_name> 

=head2 boolean = $fontsel-E<gt>B<set_font_name> ($fontname)

=over

=item * $fontname (string) 

=back

=head2 widget = $fontsel-E<gt>B<get_preview_entry> 

Since: gtk+ 2.14

=head2 string = $fontsel-E<gt>B<get_preview_text> 

=head2 $fontsel-E<gt>B<set_preview_text> ($text)

=over

=item * $text (string) 

=back

=head2 widget = $fontsel-E<gt>B<get_size_entry> 

Since: gtk+ 2.14

=head2 integer = $fontsel-E<gt>B<get_size> 

Since: gtk+ 2.14

=head2 widget = $fontsel-E<gt>B<get_size_list> 

Since: gtk+ 2.14



=cut


=head1 PROPERTIES

=over

=item 'font' (Gtk2::Gdk::Font : readable / private)

The GdkFont that is currently selected

=item 'font-name' (string : readable / writable / private)

The string that represents this font

=item 'preview-text' (string : readable / writable / private)

The text to display in order to demonstrate the selected font

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::VBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

